# TdApi.SetChatBackground (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetChatBackground

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetChatBackground

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetChatBackground

Enclosing class:
  TdApi

public static final class TdApi.SetChatBackground extends TdApi.Function<TdApi.Ok>
Changes the background in a specific chat. Supported only in private and secret chats with non-deleted users. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.InputBackground`
`background`
The input background to use; pass null to create a new filled background or to remove the current background.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`int`
`darkThemeDimming`
Dimming of the background in dark themes, as a percentage; 0-100.
`TdApi.BackgroundType`
`type`
Background type; pass null to remove the current background.

## Constructor Summary

Constructors
Constructor
Description
`SetChatBackground()`
Changes the background in a specific chat.
`SetChatBackground(long chatId, TdApi.InputBackground background, TdApi.BackgroundType type, int darkThemeDimming)`
Changes the background in a specific chat.
`SetChatBackground(DataInput input)`
Changes the background in a specific chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### background

public TdApi.InputBackground background
The input background to use; pass null to create a new filled background or to remove the current background.

### type

public TdApi.BackgroundType type
Background type; pass null to remove the current background.

### darkThemeDimming

public int darkThemeDimming
Dimming of the background in dark themes, as a percentage; 0-100.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetChatBackground

public SetChatBackground()
Changes the background in a specific chat. Supported only in private and secret chats with non-deleted users. Returns `Ok`

### SetChatBackground

public SetChatBackground(long chatId, TdApi.InputBackground background, TdApi.BackgroundType type, int darkThemeDimming)
Changes the background in a specific chat. Supported only in private and secret chats with non-deleted users. Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `background` - InputBackground The input background to use; pass null to create a new filled background or to remove the current background.
  `type` - BackgroundType Background type; pass null to remove the current background.
  `darkThemeDimming` - int Dimming of the background in dark themes, as a percentage; 0-100.

### SetChatBackground

public SetChatBackground(DataInput input) throws IOException
Changes the background in a specific chat. Supported only in private and secret chats with non-deleted users. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`